com.hazelcast.config

## Class QueueConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.QueueConfig
  - - com.hazelcast.config.QueueConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned, SplitBrainMergeTypeProvider

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class QueueConfigReadOnly
      extends QueueConfig

  Contains the configuration for an `IQueue`.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.QueueConfig

      `DEFAULT_ASYNC_BACKUP_COUNT, DEFAULT_EMPTY_QUEUE_TTL, DEFAULT_MAX_SIZE, DEFAULT_SYNC_BACKUP_COUNT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueConfig` | `addItemListenerConfig(ItemListenerConfig listenerConfig)` Deprecated. Add an item listener configuration to this queue.
    `List<ItemListenerConfig>` | `getItemListenerConfigs()` Deprecated. Get the list of item listener configurations for this queue.
    `QueueStoreConfig` | `getQueueStoreConfig()` Deprecated. Get the QueueStore (load and store queue items from/to a database) configuration.
    `QueueConfig` | `setAsyncBackupCount(int asyncBackupCount)` Deprecated. Sets the number of asynchronous backups.
    `QueueConfig` | `setBackupCount(int backupCount)` Deprecated. Sets the number of synchronous backups for this queue.
    `QueueConfig` | `setEmptyQueueTtl(int emptyQueueTtl)` Deprecated. Sets the TTL (time to live) for emptying the Queue.
    `QueueConfig` | `setItemListenerConfigs(List<ItemListenerConfig> listenerConfigs)` Deprecated. Set the list of item listener configurations for this queue.
    `QueueConfig` | `setMaxSize(int maxSize)` Deprecated. Sets the maximum size of the Queue.
    `QueueConfig` | `setMergePolicyConfig(MergePolicyConfig mergePolicyConfig)` Deprecated. Sets the `MergePolicyConfig` for this queue.
    `QueueConfig` | `setName(String name)` Deprecated. Set the name for this queue.
    `QueueConfig` | `setQueueStoreConfig(QueueStoreConfig queueStoreConfig)` Deprecated. Set the QueueStore (load and store queue items from/to a database) configuration.
    `QueueConfig` | `setQuorumName(String quorumName)` Deprecated. Sets the quorum name for queue operations.
    `QueueConfig` | `setStatisticsEnabled(boolean statisticsEnabled)` Deprecated. Enables or disables statistics for this queue.

    - ### Methods inherited from class com.hazelcast.config.QueueConfig

      `equals, getAsReadOnly, getAsyncBackupCount, getBackupCount, getEmptyQueueTtl, getFactoryId, getId, getMaxSize, getMergePolicyConfig, getName, getProvidedMergeTypes, getQuorumName, getTotalBackupCount, hashCode, isStatisticsEnabled, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getItemListenerConfigs

          public List<ItemListenerConfig> getItemListenerConfigs()

      Deprecated.
      Description copied from class: `QueueConfig`
      Get the list of item listener configurations for this queue.
      Overrides:
        `getItemListenerConfigs` in class `QueueConfig`
      Returns:
        the list of item listener configurations for this queue

    - #### getQueueStoreConfig

          public QueueStoreConfig getQueueStoreConfig()

      Deprecated.
      Description copied from class: `QueueConfig`
      Get the QueueStore (load and store queue items from/to a database) configuration.
      Overrides:
        `getQueueStoreConfig` in class `QueueConfig`
      Returns:
        the QueueStore configuration

    - #### setName

          public QueueConfig setName(String name)

      Deprecated.
      Description copied from class: `QueueConfig`
      Set the name for this queue.
      Overrides:
        `setName` in class `QueueConfig`
      Parameters:
        `name` - the name to set for this queue
      Returns:
        this queue configuration

    - #### setEmptyQueueTtl

          public QueueConfig setEmptyQueueTtl(int emptyQueueTtl)

      Deprecated.
      Description copied from class: `QueueConfig`
      Sets the TTL (time to live) for emptying the Queue.
      Overrides:
        `setEmptyQueueTtl` in class `QueueConfig`
      Parameters:
        `emptyQueueTtl` - set the TTL (time to live) for emptying the Queue to this value
      Returns:
        the Queue configuration

    - #### setMaxSize

          public QueueConfig setMaxSize(int maxSize)

      Deprecated.
      Description copied from class: `QueueConfig`
      Sets the maximum size of the Queue.
      Overrides:
        `setMaxSize` in class `QueueConfig`
      Parameters:
        `maxSize` - set the maximum size of the Queue to this value
      Returns:
        the Queue configuration

    - #### setBackupCount

          public QueueConfig setBackupCount(int backupCount)

      Deprecated.
      Description copied from class: `QueueConfig`
      Sets the number of synchronous backups for this queue.
      Overrides:
        `setBackupCount` in class `QueueConfig`
      Parameters:
        `backupCount` - the number of synchronous backups to set
      Returns:
        the current QueueConfig
      See Also:
        `QueueConfig.setAsyncBackupCount(int)`

    - #### setAsyncBackupCount

          public QueueConfig setAsyncBackupCount(int asyncBackupCount)

      Deprecated.
      Description copied from class: `QueueConfig`
      Sets the number of asynchronous backups. 0 means no backups.
      Overrides:
        `setAsyncBackupCount` in class `QueueConfig`
      Parameters:
        `asyncBackupCount` - the number of asynchronous synchronous backups to set
      Returns:
        the updated QueueConfig
      See Also:
        `QueueConfig.setBackupCount(int)`, `QueueConfig.getAsyncBackupCount()`

    - #### setQueueStoreConfig

          public QueueConfig setQueueStoreConfig(QueueStoreConfig queueStoreConfig)

      Deprecated.
      Description copied from class: `QueueConfig`
      Set the QueueStore (load and store queue items from/to a database) configuration.
      Overrides:
        `setQueueStoreConfig` in class `QueueConfig`
      Parameters:
        `queueStoreConfig` - set the QueueStore configuration to this configuration
      Returns:
        the QueueStore configuration

    - #### setStatisticsEnabled

          public QueueConfig setStatisticsEnabled(boolean statisticsEnabled)

      Deprecated.
      Description copied from class: `QueueConfig`
      Enables or disables statistics for this queue.
      Overrides:
        `setStatisticsEnabled` in class `QueueConfig`
      Parameters:
        `statisticsEnabled` - `true` to enable statistics for this queue, `false` to disable
      Returns:
        the updated QueueConfig

    - #### addItemListenerConfig

          public QueueConfig addItemListenerConfig(ItemListenerConfig listenerConfig)

      Deprecated.
      Description copied from class: `QueueConfig`
      Add an item listener configuration to this queue.
      Overrides:
        `addItemListenerConfig` in class `QueueConfig`
      Parameters:
        `listenerConfig` - the item listener configuration to add to this queue
      Returns:
        the updated queue configuration

    - #### setItemListenerConfigs

          public QueueConfig setItemListenerConfigs(List<ItemListenerConfig> listenerConfigs)

      Deprecated.
      Description copied from class: `QueueConfig`
      Set the list of item listener configurations for this queue.
      Overrides:
        `setItemListenerConfigs` in class `QueueConfig`
      Parameters:
        `listenerConfigs` - the list of item listener configurations to set for this queue
      Returns:
        the updated queue configuration

    - #### setQuorumName

          public QueueConfig setQuorumName(String quorumName)

      Deprecated.
      Description copied from class: `QueueConfig`
      Sets the quorum name for queue operations.
      Overrides:
        `setQuorumName` in class `QueueConfig`
      Parameters:
        `quorumName` - the quorum name
      Returns:
        the updated queue configuration

    - #### setMergePolicyConfig

          public QueueConfig setMergePolicyConfig(MergePolicyConfig mergePolicyConfig)

      Deprecated.
      Description copied from class: `QueueConfig`
      Sets the `MergePolicyConfig` for this queue.
      Overrides:
        `setMergePolicyConfig` in class `QueueConfig`
      Returns:
        the updated queue configuration

Copyright © 2018. All rights reserved.